85c4c1
Index: os-prober/common.sh
85c4c1
===================================================================
85c4c1
--- os-prober.orig/common.sh
85c4c1
+++ os-prober/common.sh
85c4c1
@@ -336,3 +336,13 @@ linux_mount_boot () {
85c4c1
 
85c4c1
 	mountboot="$bootpart $mounted"
85c4c1
 }
85c4c1
+
85c4c1
+umount_exec=$(which umount)
85c4c1
+umount() {
85c4c1
+	if ! $umount_exec $@ 2> /dev/null; then
85c4c1
+		error "umount error, retrying after 1 sec"
85c4c1
+		sleep 1
85c4c1
+		$umount_exec $@
85c4c1
+	fi
85c4c1
+}
85c4c1
+